OD(1)

NAME
od - octal dump

SYNOPSIS
od [-bdosvx] [-A addrformat] [-E | -e] [-j skip] [-t outputformat...] [file ...]

DESCRIPTION
od writes an octal dump of each file to stdout. If no file is given od reads from stdin.

OPTIONS

-A addressformat
    addressformat is one of d|o|x|n and sets the address to be either in decimal, octal, hexadecimal or not printed at all. The default is octal.

-E | -e
    Force Little Endian (-e) or Big Endian (-E) system-independently.

-b  Equivalent to -t -o1.

-d  Equivalent to -t -u2.

-j skip
    Ignore the first skip bytes of input.

-o  Equivalent to -t -o2.

-s  Equivalent to -t -d2.

-t outputformat
    outputformat is a list of a|c|d|o|u|x followed by a digit or C|S|I|L and sets the content to be in named character, character, signed decimal, octal, unsigned decimal, or hexadecimal format, processing the given amount of bytes or the length of Char, Short, Integer or Long. The default is octal with 4 bytes.

-v  Always set. Write all input data, including duplicate lines.

-x  Equivalent to -t -x2.

STANDARDS
POSIX.1-2013. Except that the [-v] flag is always enabled and the 'd' parameter for the [-t] flag is interpreted as 'u'.

The [Ee] flags are an extension to that specification.